Skip to main content
PATCH
/
forms
/
{id}
Update a form
curl --request PATCH \
  --url https://api.spike.ac/forms/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "is_active": true,
  "email_notifications": true,
  "notification_email": "jsmith@example.com",
  "notification_emails": [
    "jsmith@example.com"
  ],
  "redirect_url": "<string>",
  "allowed_domains": [
    "<string>"
  ],
  "webhook_enabled": true,
  "webhook_url": "<string>",
  "webhook_secret": "<string>",
  "custom_email_subject": "<string>",
  "custom_email_template": "<string>",
  "auto_responder_enabled": true,
  "auto_responder_subject": "<string>",
  "auto_responder_body": "<string>",
  "auto_responder_from_name": "<string>",
  "auto_responder_include_data": true,
  "slack_enabled": true,
  "slack_webhook_url": "<string>",
  "slack_channel_id": "<string>",
  "slack_channel_name": "<string>",
  "slack_notifications_enabled": true,
  "discord_enabled": true,
  "discord_webhook_url": "<string>",
  "google_sheets_enabled": true,
  "google_sheets_url": "<string>",
  "telegram_enabled": true,
  "telegram_bot_token": "<string>",
  "telegram_chat_id": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "is_active": true,
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email_notifications": true,
  "notification_email": "<string>",
  "notification_emails": [
    "<string>"
  ],
  "redirect_url": "<string>",
  "allowed_domains": [
    "<string>"
  ],
  "webhook_enabled": true,
  "webhook_url": "<string>",
  "webhook_secret": "<string>",
  "custom_email_subject": "<string>",
  "custom_email_template": "<string>",
  "auto_responder_enabled": true,
  "auto_responder_subject": "<string>",
  "auto_responder_body": "<string>",
  "auto_responder_from_name": "<string>",
  "auto_responder_include_data": true,
  "slack_enabled": true,
  "slack_webhook_url": "<string>",
  "discord_enabled": true,
  "discord_webhook_url": "<string>",
  "google_sheets_enabled": true,
  "google_sheets_url": "<string>",
  "telegram_enabled": true,
  "telegram_bot_token": "<string>",
  "telegram_chat_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Path Parameters

id
string
required

Form ID

Body

application/json
name
string

Form name

Required string length: 1 - 100
description
string | null

Form description

Maximum string length: 500
is_active
boolean

Whether the form is active

email_notifications
boolean

Enable email notifications

notification_email
string<email> | null

Primary notification email

notification_emails
string<email>[]

Additional notification emails

redirect_url
string<uri> | null

URL to redirect after submission

allowed_domains
string[]

Allowed domains for form submission

webhook_enabled
boolean

Enable webhook notifications

webhook_url
string<uri> | null

Webhook URL

webhook_secret
string | null

Webhook secret for verification

custom_email_subject
string | null

Custom email subject

custom_email_template
string | null

Custom email template

auto_responder_enabled
boolean

Enable auto-responder

auto_responder_subject
string | null

Auto-responder subject

auto_responder_body
string | null

Auto-responder body

auto_responder_from_name
string | null

Auto-responder from name

auto_responder_include_data
boolean

Include submission data in auto-responder

slack_enabled
boolean

Enable Slack integration

slack_webhook_url
string | null

Slack webhook URL

slack_channel_id
string | null

Slack channel ID

slack_channel_name
string | null

Slack channel name

slack_notifications_enabled
boolean

Enable Slack notifications

discord_enabled
boolean

Enable Discord integration

discord_webhook_url
string | null

Discord webhook URL

google_sheets_enabled
boolean

Enable Google Sheets integration

google_sheets_url
string | null

Google Sheets URL

telegram_enabled
boolean

Enable Telegram integration

telegram_bot_token
string | null

Telegram bot token

telegram_chat_id
string | null

Telegram chat ID

Response

Updated form

id
string<uuid>
required
name
string
required
slug
string
required
description
string | null
required
is_active
boolean
required
user_id
string<uuid>
required
org_id
string<uuid>
required
email_notifications
boolean
required
notification_email
string | null
required
notification_emails
string[] | null
required
redirect_url
string | null
required
allowed_domains
string[] | null
required
webhook_enabled
boolean
required
webhook_url
string | null
required
webhook_secret
string | null
required
custom_email_subject
string | null
required
custom_email_template
string | null
required
auto_responder_enabled
boolean
required
auto_responder_subject
string | null
required
auto_responder_body
string | null
required
auto_responder_from_name
string | null
required
auto_responder_include_data
boolean
required
slack_enabled
boolean
required
slack_webhook_url
string | null
required
discord_enabled
boolean
required
discord_webhook_url
string | null
required
google_sheets_enabled
boolean
required
google_sheets_url
string | null
required
telegram_enabled
boolean
required
telegram_bot_token
string | null
required
telegram_chat_id
string | null
required
created_at
string
required
updated_at
string
required